Summary:	The LessTif/Motif extension library
Summary(pl.UTF-8):	Biblioteka rozszerzeń do LessTifa/Motifa
Name:		Xlt
Version:	13.0.13
Release:	3
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://dl.sourceforge.net/xlt/%{name}-%{version}.tar.gz
# Source0-md5:	46b6259c7637d6e9b87520eb91b6ea51
Patch0:		%{name}-format.patch
URL:		http://xlt.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	motif-devel >= 1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The LessTif/Motif extension library. This consists of several widgets
and convience functions to make LessTif, or if you must Motif,
programming more enjoyable.

%description -l pl.UTF-8
Biblioteka rozszerzeń do LessTifa/Motifa. Zawiera trochę widgetów i
funkcji żeby nieco uprzyjemnić programowanie z użyciem LessTifa czy
Motifa.

%package devel
Summary:	Xlt header files and development documentation
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja Xlt
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	motif-devel >= 1.2

%description devel
Xlt header files and development documentation.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty do Xlt.

%package static
Summary:	Xlt static library
Summary(pl.UTF-8):	Biblioteka statyczna Xlt
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Xlt static library.

%description static -l pl.UTF-8
Biblioteka statyczna Xlt.

%prep
%setup -q
%patch0 -p1

touch MaintainerMode.am

%build
%{__libtoolize}
%{__aclocal} -I .
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_aclocaldir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	mandir=%{_mandir}

# packaged as %doc in -devel
%{__rm} -r $RPM_BUILD_ROOT%{_prefix}/Xlt
# packaged in motif
%{__rm} $RPM_BUILD_ROOT%{_aclocaldir}/ac_find_motif.m4

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libXlt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXlt.so.0

%files devel
%defattr(644,root,root,755)
%doc doc/*.{html,gif}
%attr(755,root,root) %{_libdir}/libXlt.so
%{_libdir}/libXlt.la
%{_includedir}/Xlt
%{_aclocaldir}/ac_find_xlt.m4
%{_aclocaldir}/ac_find_xpm.m4
%{_mandir}/man3/StrokeInstall.3*
%{_mandir}/man3/Strokes.3*
%{_mandir}/man3/Xlt*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXlt.a
%changelog
* Thu Aug 16 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/Xlt.git;a=log;h=master

* Thu Aug 16 2018 Jan Rękorajski <baggins@pld-linux.org> 3f6de40
- rebuild without libjpeg.la
- release 3 (by relup.sh)

* Sun May 13 2018 Jakub Bogusz <qboosh@pld-linux.org> 7660d97
- added format patch (fixes build with -Werror=format-security)
- license is LGPL (2+) as stated in source files
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> d1a72c5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e746f25
- converted to UTF-8

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> ff23e5c
- avoid defining default %attr

* Fri Oct 28 2005 Jakub Bogusz <qboosh@pld-linux.org> 35688ac
- updated to 13.0.13

* Sat Feb 19 2005 Jakub Bogusz <qboosh@pld-linux.org> f180f44
- updated to 11.1.11, removed obsolete am18 patch

* Sat Feb 19 2005 Jakub Bogusz <qboosh@pld-linux.org> fd28272
- obsolete

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> 317905d
- spaces->tabs

* Wed Jul 07 2004 ankry <ankry@pld-linux.org> a6af550
- rel. 2 to rebuild with openmotif-libs-2.2.3-2

* Mon Feb 09 2004 Jakub Bogusz <qboosh@pld-linux.org> 504b39c
- -devel R: motif-devel

* Mon Feb 09 2004 Jakub Bogusz <qboosh@pld-linux.org> cd8125f
- builds OK with openmotif

* Mon Dec 29 2003 Jakub Bogusz <qboosh@pld-linux.org> 687597d
- updated URLs, updated package to 9.2.9, added am18 patch
- moved to /usr (where lesstif lives now)

* Mon Dec 29 2003 Jakub Bogusz <qboosh@pld-linux.org> df83abe
- *.m4 quotation fixes

* Sun Jul 06 2003 Paweł Gołaszewski <blues@pld-linux.org> 11d1e49
- many small fixes, mostly inpired by kloczek

* Fri Jun 27 2003 Jakub Bogusz <qboosh@pld-linux.org> ceddc66
- new %%doc

* Mon May 26 2003 Michal Moskal <michal@moskal.me> f868cb4
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> b880ce1
- massive attack s/pld.org.pl/pld-linux.org/

* Mon Nov 25 2002 ankry <ankry@pld-linux.org> 1e378ef
- massive attack: no need for 755 for *.la

* Wed Oct 09 2002 kloczek <kloczek@pld-linux.org> 3f7c0e5
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

